Package ietf.params.xml.ns.icalendar_2

# Class BaseComponentType

java.lang.Object
ietf.params.xml.ns.icalendar_2.BaseComponentType

Direct Known Subclasses:
  `AvailableType`, `DaylightType`, `StandardType`, `ValarmType`, `VavailabilityType`, `VcalendarType`, `VeventType`, `VfreebusyType`, `VjournalType`, `VpollType`, `VtimezoneType`, `VtodoType`, `WsCalendarGluonType`, `WsCalendarIntervalType`

public abstract class BaseComponentType extends Object
This type is the basis for all components and provides a base class for applications. Essentially it states that a component is a set of properties and components.

Java class for BaseComponentType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="BaseComponentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}properties" minOccurs="0"/>
             <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}components" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ArrayOfComponents`
  `components`
  `protected ArrayOfProperties`
  `properties`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseComponentType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ArrayOfComponents`
  `getComponents()`
  Gets the value of the components property.
  `ArrayOfProperties`
  `getProperties()`
  Gets the value of the properties property.
  `void`
  `setComponents(ArrayOfComponents value)`
  Sets the value of the components property.
  `void`
  `setProperties(ArrayOfProperties value)`
  Sets the value of the properties property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### properties

    protected ArrayOfProperties properties

  - ### components

    protected ArrayOfComponents components

- ## Constructor Details

  - ### BaseComponentType

    public BaseComponentType()

- ## Method Details

  - ### getProperties

    public ArrayOfProperties getProperties()
    Gets the value of the properties property.
    Returns:
      possible object is `ArrayOfProperties`

  - ### setProperties

    public void setProperties(ArrayOfProperties value)
    Sets the value of the properties property.
    Parameters:
      `value` - allowed object is `ArrayOfProperties`

  - ### getComponents

    public ArrayOfComponents getComponents()
    Gets the value of the components property.
    Returns:
      possible object is `ArrayOfComponents`

  - ### setComponents

    public void setComponents(ArrayOfComponents value)
    Sets the value of the components property.
    Parameters:
      `value` - allowed object is `ArrayOfComponents`